Managing storage pools
During the life of a storage pool many things can happen: the pool could run out of space, disks could fail, the network topology might change etc.
To manage a storage pool click on the Storage pool in the Storage page list.
- A
Driveis a volume allocated to an instance from this storage pool (not a physical disk) - A
File Shareis a drive that can be attached to multiple instances (eg: for VMWare) - An
Object Storage Bucketis a logical container used to store objects, which are units of data that include:
• The actual data (e.g., a file, image, video, backup)
• Metadata (descriptive information about the object)
• A unique identifier (used to retrieve the object)
Putting a storage pool in maintenance mode
Section titled “Putting a storage pool in maintenance mode”The maintenance mode is used to block all subsequent provisioning on the respective pool but will not affect existing LUNs.
Depending the operation that the admin wants to do it might be required that all servers that use volumes from this storage system are shutdown.
The admin should contact all users of those servers and schedule the downtime.
Storage pool allocation algorithm
Section titled “Storage pool allocation algorithm”When more than one storage pool is registered, MetalSoft will check available disk space on all storage pools and will allocate new LUNs on a storage pool based on the following conditions:
- All storage pools connected to the fabric from which the logical network to which the drives is attached to belongs to.
- All storage pools not in maintenance are selected
- All storage pools with sufficient available capacity are selected
The first storage pool in resulting list is used to allocate the volume.
Managing storage via the API
Section titled “Managing storage via the API”Listing all storage systems
Section titled “Listing all storage systems”curl "https://<your-server>/api/v2/storages" \ -H "Authorization: Bearer <API_KEY>"Getting storage details
Section titled “Getting storage details”curl "https://<your-server>/api/v2/storages/{storageId}" \ -H "Authorization: Bearer <API_KEY>"Getting storage statistics
Section titled “Getting storage statistics”curl "https://<your-server>/api/v2/storages/{storageId}/statistics" \ -H "Authorization: Bearer <API_KEY>"Listing drives on a storage system
Section titled “Listing drives on a storage system”curl "https://<your-server>/api/v2/storages/{storageId}/drives" \ -H "Authorization: Bearer <API_KEY>"Listing file shares on a storage system
Section titled “Listing file shares on a storage system”curl "https://<your-server>/api/v2/storages/{storageId}/file-shares" \ -H "Authorization: Bearer <API_KEY>"Listing storage interfaces
Section titled “Listing storage interfaces”curl "https://<your-server>/api/v2/storages/{storageId}/interfaces" \ -H "Authorization: Bearer <API_KEY>"Creating a new storage system
Section titled “Creating a new storage system”curl -X POST "https://<your-server>/api/v2/storages" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer <API_KEY>" \ -d '{ "siteId": 1, "name": "storage-01", "vendor": "Dell", "model": "PowerStore", "managementAddress": "192.168.1.200", "managementUsername": "admin", "managementPassword": "password" }'